# NOTE: for versions >= 1.8 see efl.spec
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define	eina_ver	1.7.10
Summary:	Enlightenment Fundation Libraries - Embryo
Summary(pl.UTF-8):	Podstawowe biblioteki Enlightenmenta - Embryo
Name:		embryo
Version:	1.7.10
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	1ed477bcc75124a143b4d86bea02c671
URL:		http://trac.enlightenment.org/e/wiki/Embryo
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.22
Requires:	eina >= %{eina_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Embryo is a tiny library designed as a virtual machine to interpret a
limited set of small compiled programs.

%description -l pl.UTF-8
Embryo to mała biblioteka zaprojektowana jako maszyna wirtualna do
interpretowania ograniczonego zbioru małych skompilowanych programów.

%package devel
Summary:	Embryo header files
Summary(pl.UTF-8):	Pliki nagłówkowe Embryo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	eina-devel >= %{eina_ver}

%description devel
Header files for Embryo.

%description devel -l pl.UTF-8
Pliki nagłówkowe Embryo.

%package static
Summary:	Static Embryo library
Summary(pl.UTF-8):	Statyczna biblioteka Embryo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Embryo library.

%description static -l pl.UTF-8
Statyczna biblioteka Embryo.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/embryo_cc
%attr(755,root,root) %{_libdir}/libembryo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libembryo.so.1
# for embryo_cc
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libembryo.so
%{_libdir}/libembryo.la
%{_includedir}/embryo-1
%{_pkgconfigdir}/embryo.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libembryo.a
%endif
%changelog
* Sat Jan 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/embryo.git;a=log;h=master

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 5aed29b
- updated to 1.7.10

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 74d4976
- note efl.spec for later versions

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 645140b
- updated to 1.7.9

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ea848b9
- updated to 1.7.7

* Mon Apr 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 97fc53b
- updated to 1.7.6

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> d5f10a6
- updated to 1.7.5

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 88cbaf7
- updated to 1.7.3

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> c76786d
- updated to 1.7.2

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 039752b
- updated to 1.7.1

* Mon Sep 03 2012 Jakub Bogusz <qboosh@pld-linux.org> fe0df26
- updated to 1.7.0

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> bfa12cb
- updated to 1.2.0

* Sun Dec 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 965ee22
- updated to 1.1.0

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 8921dee
- updated URL

* Tue Feb 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 4436214
- package ChangeLog

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 75cea00
- rel 2

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 30edb73
- 1.0.0 is now stable

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> fd9e28a
- updated to 1.0.0.beta3
- License is BSD

* Tue Nov 16 2010 witekfl <witekfl@pld-linux.org> b70b835
- 1.0.0.beta2

* Fri Aug 06 2010 witekfl <witekfl@pld-linux.org> b5363d3
- use LATEST snapshot

* Wed Aug 04 2010 witekfl <witekfl@pld-linux.org> d284e2f
- up to the snapshot 0.9.9.49898

